Bug 1958367 - Build metrics do not aggregate totals by build strategy
Summary: Build metrics do not aggregate totals by build strategy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Adam Kaplan
QA Contact: XiuJuan Wang
Rolfe Dlugy-Hegwer
URL:
Whiteboard:
Depends On:
Blocks: 1969963
TreeView+ depends on / blocked
 
Reported: 2021-05-07 18:10 UTC by Adam Kaplan
Modified: 2021-07-27 23:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
// https://bugzilla.redhat.com/show_bug.cgi?id=1969963 [discrete] [id="ocp-4-8-builds-telemetry-metric"] ==== New Telemetry metric for number of builds by strategy Telemetry includes a new `openshift:build_by_strategy:sum` gauge metric, which sends the number of builds by strategy type to the Telemeter Client. This metric gives site reliability engineers (SREs) and product managers visibility into the kinds of builds that run on {product-title} clusters.
Clone Of:
Environment:
Last Closed: 2021-07-27 23:07:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 1136 0 None open Bug Bug 1958367: Add recording rule for builds by strategy 2021-05-07 18:11:50 UTC
Red Hat Issue Tracker RHDEVDOCS-3125 0 Medium Coding In Progress Tracker: Bug 1958367 - Build metrics do not aggregate totals by build strategy 2021-06-28 11:26:31 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:07:42 UTC

Description Adam Kaplan 2021-05-07 18:10:52 UTC
Description of problem:

Builds do not aggregate their metrics by build strategy. A recording rule of builds by strategy is needed to report usage metrics to telemeter.

Version-Release number of selected component (if applicable): 4.6.z

Comment 2 XiuJuan Wang 2021-06-04 08:30:38 UTC
Validate this feature before pr merged,and 4.8.0-0.nightly-2021-06-03-221810 cluster.

Comment 9 errata-xmlrpc 2021-07-27 23:07:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.